<?php
defined('_TOUROPERATOR_EXEC') or die;

use TourOperatorPro\Factory;
use TourOperatorPro\Language\Text;
use TourOperatorPro\Utilities\Utility;
use TourOperatorPro\Html\TourOperatorProHtmlBackend as TourOperatorProHtmlBackendAlias;
extract($displayData);
TourOperatorProHtmlBackendAlias::load_jquery_library('select_yes_no');
TourOperatorProHtmlBackendAlias::load_jquery_library('tooltipster');
$id_by_name = "element_field_". $name;
$name_of_field = str_replace(array('[', ']'), '_', $name);
?>
    <div id="<?php esc_attr_e($id_by_name) ?>"
         class="<?php esc_attr_e($class); ?> field-yesno-<?php esc_attr_e($name_of_field) ?> field-yesno">
        <div class="form-control">
                <div class="block-left">
                    <label><?php esc_html_e($label) ?></label>
                    <span class="tooltipster" class="fas fa-question-circle"></span>
                </div>
                <div class="block-right">
                    <input class="form-check-input yes-no pull-right" <?php echo ($value == 1 ? ' checked ' : "unchecked") ?>
                           type="checkbox">
                    <input class="" name="<?php esc_attr_e($name); ?>" type="hidden"
                           value="<?php esc_attr_e($value) ?>">
                </div>
        </div>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addLessStyleSheet('admin/app/layouts/WooBooking/form/field/yesno.less');
$doc->addScriptApplySelector('.field-yesno-'.$name_of_field,'field_yesno',array(
    "field_name"=>  $name,
), 'admin/app/layouts/WooBooking/form/field/yesno.jquery.js');